Package org.apache.uima.cas.admin

# Interface CASMgr

All Known Implementing Classes:
  `CASImpl`

public interface CASMgr
Class comment for CASMgr.java goes here.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `enableReset(boolean flag)`
  Enable/disable resetting the CAS with `CAS.reset()`.
  `void`
  `flush()`
  Deprecated.
  Use `reset()` instead.
  `CAS`
  `getCAS()`
  Return a non-admin version of the CAS.
  `FSIndexRepositoryMgr`
  `getIndexRepositoryMgr()`
  `ClassLoader`
  `getJCasClassLoader()`
  Gets the ClassLoader that should be used by the JCas to load the generated FS cover classes for this CAS.
  `TypeSystemMgr`
  `getTypeSystemMgr()`
  Return a writable version of the type system.
  `void`
  `initCASIndexes()`
  Install the standard built-in indexes into the base CAS
  `void`
  `reset()`
  Flush this CAS instance of all transient data.
  `void`
  `setCAS(CAS cas)`
  Deprecated.
  `void`
  `setJCasClassLoader(ClassLoader classLoader)`
  Sets the ClassLoader that should be used by the JCas to load the generated FS cover classes for this CAS.

- ## Method Details

  - ### getTypeSystemMgr

    TypeSystemMgr getTypeSystemMgr()
    Return a writable version of the type system. This may be used to add new types and features.
    Returns:
      A writable version of the type system.

  - ### getIndexRepositoryMgr

    FSIndexRepositoryMgr getIndexRepositoryMgr() throws CASAdminException
    Returns:
      a writable version of the index repository. Note that the type system must be committed before this method can be called.
    Throws:
      `CASAdminException` - If the type system has not been committed.

  - ### flush

    @Deprecated void flush() throws CASAdminException
    Deprecated.
    Use `reset()` instead.
    Flush this CAS instance of all transient data. This will delete all feature structures, but not the type system, the indexes etc. Call before processing a new document.
    Throws:
      `CASAdminException`

  - ### reset

    void reset() throws CASAdminException
    Flush this CAS instance of all transient data. This will delete all feature structures, but not the type system, the indexes etc. Call before processing a new document.
    Throws:
      `CASAdminException`

  - ### getCAS

    CAS getCAS() throws CASAdminException
    Return a non-admin version of the CAS.
    Returns:
      The CAS corresponding to this CASMgr.
    Throws:
      `CASAdminException` - If the index repository has not been committed.

  - ### enableReset

    void enableReset(boolean flag)
    Enable/disable resetting the CAS with `CAS.reset()`.
    Parameters:
      `flag` - true to enable reset

  - ### setCAS

    @Deprecated void setCAS(CAS cas)
    Deprecated.
    Does nothing, kept only for backwards compatibility
    Parameters:
      `cas` - -

  - ### initCASIndexes

    void initCASIndexes() throws CASException
    Install the standard built-in indexes into the base CAS
    Throws:
      `CASException` - if an error occurs

  - ### getJCasClassLoader

    ClassLoader getJCasClassLoader()
    Gets the ClassLoader that should be used by the JCas to load the generated FS cover classes for this CAS.
    Returns:
      the JCas ClassLoder for this CAS

  - ### setJCasClassLoader

    void setJCasClassLoader(ClassLoader classLoader)
    Sets the ClassLoader that should be used by the JCas to load the generated FS cover classes for this CAS.
    Parameters:
      `classLoader` - the JCas ClassLoder for this CAS